CHSH(1)

NOM
chsh - Changer l'interpréteur de commandes initial

SYNOPSIS

chsh [options] [LOGIN]

DESCRIPTION

Chsh modifie l'interpréteur de commandes initial (« login shell ») de l'utilisateur qui sera invoqué lors des connexions de l'utilisateur. Un utilisateur normal ne peut changer que l'interpréteur associé à son propre compte. Le superutilisateur peut changer l'interpréteur de commandes initial de n'importe quel compte.

OPTIONS

Les options applicables à la commande chsh sont :

-h, --help
    Afficher un message d'aide et quitter.

-s, --shell INTERPRÉTEUR
    Nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si ce champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

Quand l'option -s n'est pas sélectionnée, chsh opère de façon interactive, demandant à l'utilisateur quel doit être le nouvel interpréteur de commandes initial (« login shell »). L'utilisateur pourra entrer une nouvelle valeur pour modifier l'interpréteur, ou laisser la ligne blanche pour conserver l'interpréteur actuel. L'interpréteur actuel est indiqué entre crochets ([ ]).

NOTE

La seule restriction placée sur l'interpréteur est que cette commande doit être listée dans /etc/shells, à moins que chsh ne soit invoqué par le superutilisateur, qui peut ajouter n'importe quelle valeur. Un compte avec un interpréteur de commandes restreint ne peut pas changer son interpréteur. Pour cette raison, il est déconseillé de placer /bin/rsh dans /etc/shells, puisqu'un changement accidentel vers un interpréteur restreint empêchera alors l'utilisateur de retourner ensuite à l'interpréteur précédent.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shells
    Liste des interpréteurs de commandes initiaux valables.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

chfn(1), login.defs(5), passwd(5).